Overview
GET
/content/notesnotesList the caller's notes (newest first, paginated)
List notes.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- pagequery · optionalstring
- pageSizequery · optionalstring
Responses
200
A page of notes
- itemsNote[]
- totalinteger
- pageinteger
- pageSizeinteger
Example
{
"items": [
{
"id": "string",
"content": "string",
"title": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"total": 0,
"page": 0,
"pageSize": 0
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/notes" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/notes", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();